pingus-cvs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Pingus-CVS] r3020 - branches/pingus_sdl


From: grumbel at BerliOS
Subject: [Pingus-CVS] r3020 - branches/pingus_sdl
Date: Thu, 23 Aug 2007 18:38:25 +0200

Author: grumbel
Date: 2007-08-23 18:38:24 +0200 (Thu, 23 Aug 2007)
New Revision: 3020

Added:
   branches/pingus_sdl/install.sh
Log:
- added a simple install script

Added: branches/pingus_sdl/install.sh
===================================================================
--- branches/pingus_sdl/install.sh      2007-08-23 16:32:50 UTC (rev 3019)
+++ branches/pingus_sdl/install.sh      2007-08-23 16:38:24 UTC (rev 3020)
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+set -e
+
+if [ $# -ne 1 ]; then
+    echo "Usage $0 DIRECTORY"
+else
+    if [ ! -x ./pingus ]; then
+        echo "Error: You have to compile pingus first before you can install 
it."
+        echo "To compile it, type:"
+        echo ""
+        echo "  scons"
+        echo ""
+        exit 1
+    fi
+
+    BINDIR="$1/games/"
+    DATADIR="$1/share/games/pingus/"
+
+    echo "Installing Pingus in: $1"
+
+    mkdir -p "$BINDIR"
+    mkdir -p "$DATADIR"
+
+    install -v pingus "$BINDIR/pingus"
+
+    find data/ \
+        -type f -a  \( \
+        -name "*.png" -o \
+        -name "*.jpg" -o \
+        -name "*.wav" -o \
+        -name "*.scm" -o \
+        -name "*.font" -o \
+        -name "*.it" -o \
+        -name "*.ogg" -o \
+        -name "*.s3m" -o \
+        -name "*.po" -o \
+        -name "*.worldmap" -o \
+        -name "*.res" -o \
+        -name "*.pingus" \
+        \) -exec cp --parents -v {} "$DATADIR" \;
+        
+   echo ""
+   echo "Pingus installation complete, you can start the games with:"
+   echo ""
+   echo "  ${BINDIR}pingus"
+   echo
+fi
+
+# EOF #


Property changes on: branches/pingus_sdl/install.sh
___________________________________________________________________
Name: svn:executable
   + *





reply via email to

[Prev in Thread] Current Thread [Next in Thread]